PortWrite = &H378
PORTREAD = &H379
  CLS
START0:
  OUT PortWrite, &HB  'CS=1,CLK=1,DI=1 Initial Start Operation
  OUT PortWrite, &H3  'CS "0" = Start Operation
  OUT PortWrite, &H1  'DI "1" = Start Clock
  OUT PortWrite, &H3
  OUT PortWrite, &H1  'DI "1" = SGL
  OUT PortWrite, &H3
  OUT PortWrite, &H0  'DI "0" = ODD
  OUT PortWrite, &H2
  OUT PortWrite, &H0  'DI "0" = MSBF
  OUT PortWrite, &H2

  CH0BUFF = 0
  OUT PortWrite, &H1        'CLK "0" = Start Clock
  FOR READCOUNT = 1 TO 12   'Ignore 12Bit First
       OUT PortWrite, &H3   'CLK "1" = Rising Clock
       OUT PortWrite, &H1   'CLK "0" = Falling Clock
  NEXT READCOUNT

  FOR READCOUNT = 1 TO 12   'Read Data D0..D11 (12Bit)
       ADCBUFF = (INP(PORTREAD) AND &H80) / (2 ^ 7)
       CH0BUFF = CH0BUFF OR (ADCBUFF * (2 ^ (READCOUNT - 1)))
       OUT PortWrite, &H3   'CLK "1" = Rising Clock
       OUT PortWrite, &H1   'CLK "0" = Falling Clock
  NEXT READCOUNT
  OUT PortWrite, &HB   'CS "1" Stop Operation

  'Read ADC CH1
  OUT PortWrite, &HB  'CS=1,CLK=1,DI=1 Initial Start Operation
  OUT PortWrite, &H3  'CS "0" = Start Operation
  OUT PortWrite, &H1  'DI "1" = Start Clock
  OUT PortWrite, &H3
  OUT PortWrite, &H1  'DI "1" = SGL
  OUT PortWrite, &H3
  OUT PortWrite, &H1  'DI "1" = ODD
  OUT PortWrite, &H3
  OUT PortWrite, &H0  'DI "0" = MSBF
  OUT PortWrite, &H2

  CH1BUFF = 0
  OUT PortWrite, &H1        'CLK "0" = Start Clock
  FOR READCOUNT = 1 TO 12   'Ignore 12Bit First
       OUT PortWrite, &H3   'CLK "1" = Rising Clock
       OUT PortWrite, &H1   'CLK "0" = Falling Clock
  NEXT READCOUNT

  FOR READCOUNT = 1 TO 12   'Read Data D0..D11 (12Bit)
       ADCBUFF = (INP(PORTREAD) AND &H80) / (2 ^ 7)
       CH1BUFF = CH1BUFF OR (ADCBUFF * (2 ^ (READCOUNT - 1)))
       OUT PortWrite, &H3   'CLK "1" = Rising Clock
       OUT PortWrite, &H1   'CLK "0" = Falling Clock
  NEXT READCOUNT
  OUT PortWrite, &HB   'CS "1" Stop Operation

  PRINT ("ADC CH0 ="), CH0BUFF, ("ADC CH1 = "), CH1BUFF
  GOTO START0
END


